from fireworks import Workflow, LaunchPad
import sys

for arg in sys.argv:
    if '--help' in arg:
        print('usage: '+sys.argv[0]+' --fw_id=<int>'+' <workflow file>' )
        exit(0)
    if '--fw_id' in arg:
        fw_id = int(arg.split('=')[1].strip())

launchpad = LaunchPad()
workflow = launchpad.get_wf_by_fw_id(fw_id)
workflow.to_file(sys.argv[-1])


